## atari800 5.2.0

=== emuos/Makefile ===
# Altirra - Atari 800/800XL emulator
# Kernel ROM replacement
# Copyright (C) 2008-2020 Avery Lee
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without any warranty.

MADS=mads
OUT=build

CDIR=../src/roms/

SRC_BIOS_SHARED=\
 src/atarifont.inc \
 src/boot.s \
 src/cassette.s \
 src/cio.inc \
 src/cio.s \
 src/disk.s \
 src/editor.s \
 src/hardware.inc \
 src/init.s \
 src/interrupt.s \
 src/irq.s \
 src/kerneldb.inc \
 src/keyboard.s \
 src/keytable.s \
 src/mathpack.s \
 src/misc.s \
 src/printer.s \
 src/screenext.s \
 src/screen.s \
 src/sio.inc \
 src/sio.s \
 src/vbi.s \
 src/version.inc \

SRC_BIOS_800=\
 src/blackboard.s \

SRC_BIOS_XL=\
 src/atariifont.inc \
 src/bootscreen.s \
 src/driveimage.inc \
 src/pbi.s \
 src/phandler.s \
 src/selftestentry.s \

SRC_BASIC=\
 src_basic/data.s \
 src_basic/error.s \
 src_basic/evaluator.s \
 src_basic/exec.s \
 src_basic/functions.s \
 src_basic/io.s \
 src_basic/list.s \
 src_basic/math.s \
 src_basic/memory.s \
 src_basic/parser.s \
 src_basic/parserbytecode.s \
 src_basic/statements.s \
 src_basic/system.inc \
 src_basic/tokens.inc \
 src_basic/util.s \
 src_basic/variables.s

SRC_BIOS_5200=\
 src_5200/main.xasm

all:\
 $(CDIR)/altirraos_xl.c \
 $(CDIR)/altirraos_800.c \
 $(CDIR)/altirra_basic.c \
 $(CDIR)/altirra_5200_os.c \
 $(CDIR)/altirra_5200_charset.c

# Rules to assemble ROMs
$(OUT)/altirraos_xl.rom: main.xasm $(SRC_BIOS_XL) $(SRC_BIOS_SHARED) | $(OUT)
	$(MADS) -d:_KERNEL_XLXE=1 -s -p -i:src -i:fnt -b:49152 -l:$(@:.rom=.lst) -t:$(@:.rom=.lab) -o:$@ $<

$(OUT)/altirraos_800.rom: main.xasm $(SRC_BIOS_800) $(SRC_BIOS_SHARED) | $(OUT)
	$(MADS) -d:_KERNEL_XLXE=0 -s -p -i:src -i:fnt -b:55296 -l:$(@:.rom=.lst) -t:$(@:.rom=.lab) -o:$@ $<

$(OUT)/altirra_basic.rom: src_basic/atbasic.s $(SRC_BASIC) | $(OUT)
	$(MADS) -d:CART=1 -s -p -i:src_basic -b:40960 -l:$(@:.rom=.lst) -t:$(@:.rom=.lab) -o:$@ $<

$(OUT)/altirra_5200_os.rom: $(SRC_BIOS_5200) | $(OUT)
	$(MADS) -s -p -i:src -b:63488 -l:$(@:.rom=.lst) -o:$@ $<

$(OUT)/altirra_5200_charset.rom: src/atarifont.bin | $(OUT)
	cp $< $@

# Rules to convert ROM into HEX file
$(OUT)/%.hex: $(OUT)/%.rom
	hexdump  -ve '"\t" 8/1 "0x%02x," "\n"' < $< | sed -e '$$ s/,$$//' > $@

# Join the HEX file with the headers to get the C source files
$(CDIR)/%.c: %_head.in $(OUT)/%.hex template_tail.in
	cat $^ > $@

$(OUT):
	mkdir -p $(OUT)

clean:
	-rm -f $(OUT)/altirra_basic.lab
	-rm -f $(OUT)/altirra_basic.lst
	-rm -f $(OUT)/altirra_basic.rom
	-rm -f $(OUT)/altirraos_800.lab
	-rm -f $(OUT)/altirraos_800.lst
	-rm -f $(OUT)/altirraos_800.rom
	-rm -f $(OUT)/altirraos_xl.lab
	-rm -f $(OUT)/altirraos_xl.lst
	-rm -f $(OUT)/altirraos_xl.rom
	-rm -f $(OUT)/altirra_5200_os.lab
	-rm -f $(OUT)/altirra_5200_os.lst
	-rm -f $(OUT)/altirra_5200_os.rom
	-rm -f $(OUT)/altirra_5200_charset.rom
	-rmdir $(OUT)

=== src/win32/msc/Makefile ===
# Makefile for Microsoft NMAKE + CL
# Invoke with:
# nmake /f win32\msc\Makefile
# from the "src" directory.
# Compile using DirectX 9.0 SDK (Summer 2004)

CC = cl
RC = rc

DEFS =
LIBS = \
	libpng.lib zlib.lib \
	ddraw.lib dinput.lib dsound.lib dxguid.lib gdi32.lib gdiplus.lib d3d9.lib d3dx9.lib \
	user32.lib winmm.lib advapi32.lib
TARGET = atari800.exe

CFLAGS = /nologo /O2 /GS- /W3 /wd4996 /I win32\msc /I .
CPPFLAGS = /nologo /O2 /GS- /W3 /wd4996 /I win32\msc /I ./
LDFLAGS = /nologo

OBJS = \
	afile.obj \
	antic.obj \
	artifact.obj \
	atari.obj \
	binload.obj \
	cartridge.obj \
	cassette.obj \
	cfg.obj \
	colours.obj \
	colours_external.obj \
	colours_ntsc.obj \
	colours_pal.obj \
	compfile.obj \
	cpu.obj \
	crc32.obj \
	cycle_map.obj \
	devices.obj \
	esc.obj \
	gtia.obj \
	img_tape.obj \
	input.obj \
	log.obj \
	memory.obj \
	monitor.obj \
	mzpokeysnd.obj \
	pbi.obj \
	pbi_xld.obj \
	pia.obj \
	pokey.obj \
	pokeysnd.obj \
	remez.obj \
	roms/altirra_5200_os.obj \
	roms/altirra_5200_charset.obj \
	rtime.obj \
	screen.obj \
	sio.obj \
	sndsave.obj \
	statesav.obj \
	sysrom.obj \
	ui.obj \
	ui_basic.obj \
	util.obj \
	votrax.obj \
	votraxsnd.obj \
	win32\atari_win32.obj \
	win32\joystick.obj \
	win32\keyboard.obj \
	win32\main.obj \
	win32\screen_win32.obj \
	win32\render_gdi.obj \
	win32\render_gdiplus.obj \
	win32\render_directdraw.obj \
	win32\render_direct3d.obj \
	win32\sound.obj \
	win32\atari.res

all: $(TARGET)

$(TARGET): $(OBJS)
	$(CC) /Fe$(TARGET) $(LDFLAGS) $(OBJS) $(LIBS)

# the default .c.obj rule would place the object files in the src directory
{win32\}.c{win32\}.obj:
	$(CC) $(CFLAGS) /c /Fo$@ $**

{win32\}.cpp{win32\}.obj:
	$(CC) $(CPPFLAGS) /c /Fo$@ $**

clean:
	del *.obj
	del win32\*.obj
	del win32\atari.res
	del $(TARGET)

=== debian/changelog ===
atari800 (5.2.0-2) unstable; urgency=medium

  * [b80f407] Remove the config from the package

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Sat, 20 Apr 2024 20:08:40 +0200

atari800 (5.2.0-1) unstable; urgency=medium

  * [ecc83a5] Use configuration from the source
  * [3d53471] New upstream version 5.2.0
  * [fea0abe] Use `libgl-dev` instead of `libgl1-mesa-dev`
  * [1e21acb] Upstream changed way how `autogen` is called

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Sat, 20 Apr 2024 18:48:05 +0200

=== debian/control ===
Source: atari800
Section: contrib/otherosfs
Priority: optional
Maintainer: Antonin Kral <A.Kral@sh.cvut.cz>
Build-Depends: libsdl1.2-dev, zlib1g-dev, libeditreadline-dev, libgl-dev, libpng-dev, imagemagick, dpkg-dev (>= 1.21), debhelper-compat (= 13)
Standards-Version: 4.6.2
Vcs-Git: https://github.com/bobek/aranym800-debian.git
Vcs-Browser: https://github.com/bobek/aranym800-debian
Homepage: https://atari800.github.io

Package: atari800
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Atari 8-bit emulator for SDL
 Atari800 is an emulator of Atari 8-bit computer systems including the 400, 800,
 1200XL, 600XL, 800XL, 65XE, 130XE, 800XE and the XE Game System,
 and also of the Atari 5200 SuperSystem console.
 .
 The Atari Operating System ROMs are not available with this package, due to
 copyright. You'll have to either make copies of them from an old Atari
 computer, or see README.Debian for other ways to obtain them.

=== debian/rules ===
#!/usr/bin/make -f
#
# This is a debian/rules make file. It supports the targets:
# build, clean, binary-indep, binary-arch, and binary
#
# Package name variables
#
P=atari800

ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

# Build the binary components and assemble the libraries
# =====================================================================
build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	$(checkdir)
	debian/rules bld-sdl
	touch build-stamp

bld-sdl:
	if [ -e Makefile ]; then $(MAKE) clean; fi
	./autogen.sh
	./configure \
		 --with-video=sdl --with-sound=sdl
	$(MAKE)

# Clean up after a build and before building a source package
#======================================================================
clean:
	$(checkdir)
	-rm -f build-stamp
	if [ -e Makefile ]; then $(MAKE) clean; fi; \
	 rm -f config.log config.status config.h Makefile
	mv ./atari800.spec ./tmp ; rm -f atari800 ; rm -f atari800.* ; mv ./tmp ./atari800.spec
	-rm -rf	debian/tmp debian/*~ *~ *.orig *.log \
		debian/files* debian/substvars*
	-rm -f data/atari800.xpm


install: build
	dh_testdir
	dh_testroot
	dh_installdirs
	convert data/atari2.png -resize 32x32 data/atari800.xpm
	dh_install


binary: binary-arch

# No binary independent components to this package
binary-indep:
	echo "No independent binary components."

# Build architecture-independent files here.
binary-arch: build install binary-common

binary-common:
				dh_testdir
				dh_testroot
				dh_installdocs
				dh_installcron
				dh_installman
				dh_installinfo
				dh_installchangelogs
				dh_link
				dh_strip
				dh_compress
				dh_fixperms
				dh_installdeb
				dh_shlibdeps
				dh_gencontrol
				dh_md5sums
				dh_builddeb

define checkdir
	test -f ./atari800.spec
endef

# Below here is fairly generic really
checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
